=== debian/control ===
Source: astmanproxy
Section: unknown
Priority: extra
Maintainer: Steve Davies <steved@ipcortex.co.uk>
Build-Depends: build-essential, debhelper (>= 5), libssl-dev
Standards-Version: 3.7.2

Package: astmanproxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Proxy daemon for Asterisk Manager Protocol
 Proxy daemon for Asterisk Manager Protocol. Its primary purpose is
 to offload the use of many threads to handle multiple AMP connections
 into a far more lightweight external daemon to improve stability and
 scaleability. It also adds authentication, filtering, and multi-server
 support.
